Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Web Services Security Java API Reference 10g Release 3 (10.1.3) B25382-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.xmlsec.wss.x509
Class X509IssuerSerial

`java.lang.Object
oracle.security.xmlsec.util.XMLNode
oracle.security.xmlsec.util.XMLElement
oracle.security.xmlsec.wss.x509.X509IssuerSerial`

All Implemented Interfaces:
  WSSecurityTokenReferenceType

public class X509IssuerSerial
extends oracle.security.xmlsec.util.XMLElement
implements WSSecurityTokenReferenceType

Represents a X509IssuerSerial element as defined in XML-SIG.

Field Summary

Fields inherited from class oracle.security.xmlsec.util.XMLNode
`node, systemId`

Constructor Summary
`X509IssuerSerial(org.w3c.dom.Document owner)` Create a new `X509IssuerSerial` instance.
`X509IssuerSerial(org.w3c.dom.Element element)` Create a new `X509IssuerSerial` instance from the given XML element.
`X509IssuerSerial(org.w3c.dom.Element element, java.lang.String systemId)` Create a new `X509IssuerSerial` instance from the given XML element.

Method Summary
`static void` | `addResolver(X509IssuerSerialResolver resolver)` Register a `X509IssuerSerialResolver` instance for use in key identifier resolver operations.
`oracle.security.crypto.cert.IssuerAndSerialNo` | `getIssuerSerial()` Returns the X509IssuerSerial elements in this X509Data.
`java.lang.Object` | `getKey()` Returns the underlying WSS SecurityToken.
`oracle.security.xmlsec.util.QName` | `getName()` Returns the `QName` of this reference.
`static java.util.List` | `getResolvers()` Get the registered `X509IssuerSerialResolver`s.
`WSSecurityToken` | `getSecurityToken()` Returns the underlying WSS SecurityToken.
`void` | `setIssuerSerial(oracle.security.crypto.cert.IssuerAndSerialNo issuerSerial)` Adds a certificate issuer and serial number as a X509IssuerSerial element.

Methods inherited from class oracle.security.xmlsec.util.XMLElement
`addNSPrefixAttr, addNSPrefixAttr, addNSPrefixAttrDefault, addNSPrefixAttrDefault, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getChildElementsByTagName, getChildElementsByTagName, getChildElementsByTagNameNS, getChildElementsByTagNameNS, getDefaultNSPrefix, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setDefaultNSPrefix`

Methods inherited from class oracle.security.xmlsec.util.XMLNode
`appendChild, appendChild, appendTo, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNode, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getSystemId, hasAttributes, hasChildNodes, insertBefore, insertBefore, isSupported, normalize, removeChild, removeChild, replaceChild, replaceChild, setNodeValue, setPrefix, setSystemId, toBytesXML, toStringXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface oracle.security.xmlsec.wss.WSSecurityTokenReferenceType
`getNode`

Constructor Detail

### X509IssuerSerial

    public X509IssuerSerial(org.w3c.dom.Element element)

  Create a new `X509IssuerSerial` instance from the given XML element.
Parameters:
  `element` - A ds:X509IssuerSerial element.

### X509IssuerSerial

    public X509IssuerSerial(org.w3c.dom.Element element,
                            java.lang.String systemId)

  Create a new `X509IssuerSerial` instance from the given XML element.
Parameters:
  `element` - A ds:X509IssuerSerial element.
  `systemId` - The URI string system ID for this element.

### X509IssuerSerial

    public X509IssuerSerial(org.w3c.dom.Document owner)

  Create a new `X509IssuerSerial` instance.
Parameters:
  `owner` - A XML Document to be used as the owner document of this structure.

Method Detail

### setIssuerSerial

    public void setIssuerSerial(oracle.security.crypto.cert.IssuerAndSerialNo issuerSerial)
                         throws org.w3c.dom.DOMException

  Adds a certificate issuer and serial number as a X509IssuerSerial element.
  Parameters:
    `issuerSerial` - A `oracle.security.crypto.cert.IssuerAndSerialNo` containing the certificate issuer's distinguished name and the certificate's serial number.
  Throws:
    `org.w3c.dom.DOMException`

### getIssuerSerial

    public oracle.security.crypto.cert.IssuerAndSerialNo getIssuerSerial()

  Returns the X509IssuerSerial elements in this X509Data.
  Returns:
    The `oracle.security.crypto.cert.IssuerAndSerialNo`s.

### getName

    public oracle.security.xmlsec.util.QName getName()

  Returns the `QName` of this reference.
  Specified by:
    `getName` in interface `WSSecurityTokenReferenceType`
  Returns:
    The `QName` of the WSSecurityTokenReference type.

### getSecurityToken

    public WSSecurityToken getSecurityToken()
                                     throws WSSException

  Returns the underlying WSS SecurityToken.
  Specified by:
    `getSecurityToken` in interface `WSSecurityTokenReferenceType`
  Returns:
    The underlying `WSSecurityToken`.
  Throws:
    `WSSException`

### addResolver

    public static void addResolver(X509IssuerSerialResolver resolver)

  Register a `X509IssuerSerialResolver` instance for use in key identifier resolver operations.
  Parameters:
    `resolver` - The X.509 issuer and serial number resolver.

### getResolvers

    public static java.util.List getResolvers()

  Get the registered `X509IssuerSerialResolver`s.
  Returns:
    The `List` of registered issuer and serial number resolvers.

### getKey

    public java.lang.Object getKey()
                            throws WSSException

  Returns the underlying WSS SecurityToken.
  Specified by:
    `getKey` in interface `WSSecurityTokenReferenceType`
  Returns:
    The corresponding `PrivateKey`.
  Throws:
    `WSSException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Web Services Security Java API Reference 10g Release 3 (10.1.3) B25382-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.